.work-sections {
    margin-top: 130px;

    .main-content {
        position: relative;
        height: 70svh;

        &::before {
            content: "";
            width: 100%;
            height: 100%;
            position: absolute;
            z-index: 2;
            bottom: 0;
            right: 0;
            z-index: 0;
            background: linear-gradient(
                to top,
                rgba(0, 0, 0, 0.9) 0%,
                rgba(0, 0, 0, 0.5) 30%,
                rgba(0, 0, 0, 0) 100%
            );
            pointer-events: none;
        }
    }

    .banner img {
        width: 100%;
        height: 70svh;
        object-fit: cover;
    }

    .back {
        padding: 10px 0;
        position: absolute;
        top: 30px;
        left: 30px;
        margin-bottom: 16px;
        border-radius: 25px;
        border: 1px solid var(--light-color);

        &:before {
            content: "";
            width: 100%;
            height: 100%;
            position: absolute;
            top: 50%;
            left: 50%;
            opacity: 0.1;
            z-index: -1;
            border-radius: 25px;
            transform: translate(-50%, -50%);
            background-color: var(--light-color);
        }

        &:hover {
            transform: translateY(-2px);
        }
    }

    .main-content .info {
        width: calc(100% - 400px);
        position: absolute;
        bottom: 0;
        right: 200px;
        padding-block: 30px;
        color: var(--light-color);

        & .heading {
            font-size: 36px;
            font-weight: bold;
            border-bottom: 1px solid #ffffff50;
        }

        & .details {
            color: var(--light-muted-color);
            margin-top: 10px;

            & .item {
                width: 250px;
            }
        }
    }
}

.works-show-section {
    padding: 50px var(--main-inline-padding);

    .project-item {
        max-height: 240px;
        border-radius: 15px;
        position: relative;
        overflow: hidden;

        & .project-image::after {
            content: "";
            position: absolute;
            inset: 0;
            opacity: 0;
            z-index: 1;
            transition: 0.1s linear;
            background-color: var(--dark-color);
        }

        & .project-text {
            text-align: start;
            position: absolute;
            bottom: 20px;
            right: 20px;
            left: auto;
            z-index: 3;
            opacity: 0;
            visibility: hidden;
            color: var(--light-color);
        }

        & .project-image {
            max-height: 240px;
            position: relative;

            &::before {
                content: "";
                position: absolute;
                inset: 0;
                z-index: 2;
                pointer-events: none;
                background: linear-gradient(
                    to top,
                    rgba(0, 0, 0, 0.5),
                    transparent
                );
            }

            & img {
                height: calc(100% + 15px);
                transform: translateY(-15px);
            }
        }

        & .project-action {
            position: absolute;
            top: 20px;
            right: 20px;
            left: auto;
            z-index: 7;
            opacity: 0;
            visibility: hidden;

            & button {
                padding: 8px 16px;
                border-radius: 12px;
                text-align: center;
                align-content: center;
                color: var(--dark-color);
                background-color: var(--light-color);

                & i,
                & svg {
                    transition: 0.1s ease;
                    transform: translateY(1px) scale(1);
                }

                &:hover {
                    & i,
                    & svg {
                        transform: translateY(-2px) scale(1.01);
                    }
                }
            }
        }

        &:hover {
            & .project-image img {
                transform: translateY(-15px) scale(1.05);
                transition: 0.1s linear;
            }

            & .project-image::after {
                opacity: 0.8;
            }

            & .project-text,
            & .project-action {
                opacity: 1;
                visibility: visible;
            }
        }
    }
}
